Bug 24134 - Xfce video tearing at login
Summary: Xfce video tearing at login
Status: NEW
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: Cauldron
Hardware: All Linux
Priority: Normal normal
Target Milestone: ---
Assignee: Jani Välimaa
QA Contact:
URL:
Whiteboard: MGA7TOO
Keywords: 8rc1, IN_ERRATA8
: 24657 (view as bug list)
Depends on:
Blocks:
 
Reported: 2019-01-05 05:19 CET by ben mcmonagle
Modified: 2021-02-21 04:44 CET (History)
9 users (show)

See Also:
Source RPM:
CVE:
Status comment:


Attachments
install report (187.18 KB, application/x-xz)
2019-01-05 05:20 CET, ben mcmonagle
Details
Picture of screen corruption with Radeon GPU (499.36 KB, image/jpeg)
2019-04-13 13:57 CEST, Martin Whitaker
Details

Description ben mcmonagle 2019-01-05 05:19:38 CET
Description of problem: logging into XFCE DE (light DM / intel 810 or later grahpics) the video image tears for a few seconds until Mageia Welcome is populated. after this time displayed image is ok.

note: sometimes this behaviour is noticed at presentation of the login greeter,
both at boot and if logging out.

Version-Release number of selected component (if applicable):
Mageia-7-beta2-x86_64
DATE.txt: Thu Jan  3 22:20:48 CET 2019
md5sum:   67149f7c9505f98ca4431a1163ebe946


How reproducible: every time


Steps to Reproduce:
1. install XFCE DE from above  .iso onto intel 810 or later hardware. reboot and log-in
2. observe a few seconds of screen tearing
3.
Comment 1 ben mcmonagle 2019-01-05 05:20:29 CET
Created attachment 10644 [details]
install report
ben mcmonagle 2019-01-05 05:57:14 CET

Keywords: (none) => 7beta1

Comment 2 Marja Van Waes 2019-01-05 18:10:29 CET
Assigning to the registered maintainer.

CC: (none) => marja11
Assignee: bugsquad => jani.valimaa

Comment 3 Lewis Smith 2019-01-20 15:23:27 CET
Latest try, XFCE from Classic installer, Radeon video, from login to desktop.
- ex GDM: delay with grey background before correct one.
- ex LightDM: works correctly.
- ex LXDM: brief chaos then grey background before correct desktop.
- ex SDDM: same.

CC: (none) => lewyssmith

Comment 4 Lewis Smith 2019-02-01 11:09:48 CET
Still true in Classic ISO end January (calles beta2 round 2).
 x64. Radeon video.
Launched Xfce from GDM, LightDM, LXDM, SDDM. Chaotic screen before desktop displays. Best under GDM: just blank grey, acceptable.
Comment 5 Lewis Smith 2019-02-18 09:16:05 CET
Fixed re Xfce Live ISO (after installation) for round beta2.3. Still applies briefly booting to Live mode, but this is unimportant.
If this holds true for Xfce from Classic ISO, this bug can be closed.
nikos papadopoulos 2019-02-27 20:18:50 CET

CC: (none) => nikos769

Filip Komar 2019-03-28 22:21:28 CET

CC: (none) => filip.komar

Comment 6 Dick Gevers 2019-04-10 12:48:19 CEST
Valid for 7beta3?
On the riseup pad benmc says so....

Keywords: 7beta1 => 7beta3
CC: (none) => dvgevers

Comment 7 ben mcmonagle 2019-04-11 09:19:58 CEST
yes
Dick Gevers 2019-04-12 17:36:40 CEST

See Also: (none) => https://bugs.mageia.org/show_bug.cgi?id=24657

Comment 8 Lewis Smith 2019-04-12 21:39:27 CEST
*** Bug 24657 has been marked as a duplicate of this bug. ***
Comment 9 Lewis Smith 2019-04-13 10:45:49 CEST
M7beta3, real hardware, AMD/ATI/Radeon HD7310 video
Dick has: Amdgpu Stoney Radeon R2/R3/R4/R5 graphics
Ben has: intel 810 or later grahpics

Maybe the type of video does matter after all, because for me this bug is fixed, if with the qualification that after logging in from the display manager, the brief screen messing seen previously is now replaced by a blank grey desktop for a few seconds before it becomes normal - I suspect while it is being populated.
 GDM: as described - same as before, comment 3.
 LightDM: even better, a normal transition; also as c3 (but not c4).
 LXDM: as described.
 SDDM: as described.

I think this is acceptable, unless the other two still have the messy screen; you say yes. Ben cites LightDM, Dick GDM (can you try LightDM ?).

Yet to note the Xfce Live.
Comment 10 Dick Gevers 2019-04-13 11:05:15 CEST
Live Xfce 64 bits install from M7B3 round 3: same video corruption, although it seems less than 4 secs

Re comment 9:
> I think this is acceptable, unless the other two still have the messy
> screen; you say yes. Ben cites LightDM, Dick GDM (can you try LightDM ?).

What is the point? Classcial installer chose GDM...
Comment 11 Martin Whitaker 2019-04-13 13:57:34 CEST
Created attachment 10922 [details]
Picture of screen corruption with Radeon GPU

I used to see the tearing on machines with Intel GPU, and screen corruption on a machine with Radeon GPU and another with NVIDIA GPU (but only with the nouveau driver). With the latest Mageia-7-beta3-Live-Xfce-x86_64 ISO, I only see the screen corruption on the machine with Radeon GPU. Picture attached to show how bad it looks.

I don't know what we can do about it though.

CC: (none) => mageia

Comment 12 Dick Gevers 2019-04-13 17:13:12 CEST
My Radeon is equally bad ... just more colourful  ;)
Comment 13 ben mcmonagle 2019-05-13 05:09:39 CEST
(In reply to Martin Whitaker from comment #11)

> I don't know what we can do about it though.

rc x86_64 has improved no end, both GDM and lightDM no longer show issue for me on HP Probook 4520s.
Will try my Portege R930, and if ok, will recommend closing this bug if others confirm issue resolved
Comment 14 ben mcmonagle 2019-05-13 09:02:22 CEST
Portege R930 no video tearing at login, single DE install / lightDM

please, all commentors check and confirm- via qa-discuss is fine if you prefer.
if no dissenters, will close after RC round 2 if still no further issues.
Comment 15 Dick Gevers 2019-05-19 13:38:50 CEST
Unchanged: still a "bug" for me
Comment 16 Martin Whitaker 2019-05-19 13:47:44 CEST
I still get the scrambled screen for 1 to 2 seconds with both Radeon and with NVIDIA/nouveau graphics.
Comment 17 ben mcmonagle 2019-06-24 10:36:14 CEST
maybe a errata note?
Comment 18 Bit Twister 2019-06-25 17:29:07 CEST
(In reply to Martin Whitaker from comment #16)
> I still get the scrambled screen for 1 to 2 seconds with both Radeon and
> with NVIDIA/nouveau graphics.

Yep, I see it also. I run 8 workspaces, each with 13 second slide show
wallpaper with autostart script to jump to different workspace and start
either xterm or other applications.

The couple of seconds of video are showing different workspaces with the xterm
or application before xfce gets control to run austart scripts.

 
$ cat /etc/sysconfig/desktop
DISPLAYMANAGER=lightdm

 $ systemctl status display-manager.service | grep -E "PID|bin/"
 Main PID: 917 (lightdm)
           ├─ 917 /usr/sbin/lightdm

$ grep '=' /home/bittwister/.dmrc
Language=en_US.utf8
Session=xfce

# lspcidrake | grep -i card:
Card:ATI Radeon HD 5000 to HD 6300 (radeon/fglrx): Advanced Micro Devices, Inc. [AMD/ATI]|Cedar [Radeon HD 5000/6000/7350/8350 Series] [DISPLAY_VGA]

CC: (none) => bittwister2

Comment 19 Lewis Smith 2019-06-26 16:20:11 CEST
(In reply to ben mcmonagle from comment #17)
> maybe a errata note?
Agree.
I am still seeing this with Radeon HD7310 graphics.

CC: lewyssmith => (none)

Dick Gevers 2019-10-12 19:11:18 CEST

CC: dvgevers => (none)

Comment 20 Morgan Leijström 2020-12-22 15:40:46 CET
I wonder if this is the same: In my case not tearing, but while Xfce start there is flickering between black screen and full desktop maybe five times during a couple seconds.

Using Mageia 8 beta 2 32 bit Xfce I see this on a Thinkpad T43
GPU: AMD RV370/M22 [Mobility Radeon X300]
Using: ATI Radeon HD4870 and earlier

Whiteboard: (none) => MGA7TOO
Keywords: 7beta3 => 8beta2
CC: (none) => fri

Comment 21 Len Lawrence 2020-12-23 12:05:00 CET
Tried Xfce on an Aorus X5 laptop, Intel i7 plus nvidia GTX 965M.

Mageia x86_64 beta2

Classic iso with nvidia current
Classic iso with nouveau
Installation from Xfce Live with free graphics driver
Installation from Live boot menu with nvidia current

In all four cases there was no problem logging in or running the desktop.  On this hardware it appears to be stable on the scale of hours, with no startup problems.

CC: (none) => tarazed25

Comment 22 Morgan Leijström 2020-12-23 12:52:58 CET
I saw now on dev list that Xfce 4.16 is released and will probably start building in cauldron testing repo later today.

I will later see if that works better :)
Comment 23 Len Lawrence 2020-12-23 13:13:24 CET
re comment 21:
Spoke too soon.  The default dm was LightDM.  With xdm the screen became garbled at login but it was momentary and did not seem to affect the rest of the session.  However, faults began to appear.  Windows could not be moved without leaving a trail of copies.  Switching workspaces deleted the icon contents for each space without moving to that workspace.  Going back to LightDM removed all the problems.  Managed to save dmesg for both sessions - shall compare them to see if anything stands out.
Comment 24 ben mcmonagle 2021-01-08 01:32:05 CET
should we still go for errata?
Comment 25 Bit Twister 2021-01-08 02:06:20 CET
(In reply to Len Lawrence from comment #23)
> re comment 21:
> Spoke too soon.  The default dm was LightDM.  With xdm the screen became
> garbled at login but it was momentary and did not seem to affect the rest of
> the session.  However, faults began to appear.  Windows could not be moved
> without leaving a trail of copies.  Switching workspaces deleted the icon
> contents for each space without moving to that workspace.  Going back to
> LightDM removed all the problems.  Managed to save dmesg for both sessions -
> shall compare them to see if anything stands out.

I assume you know to at least rm -r ~/.config/xfce4/* per the instructions
when installing/running a new release of xfce. Next login requires you
to re-enter your desktop changes.

I noticed a lot less tearing after rm -fr ~/.local/* ~/.cache/* then log out/in.

I attributed my extensive tearing to running 8 workspaces all running slideshow
wallpaper changes every 13 seconds.
Comment 26 Morgan Leijström 2021-01-08 13:18:38 CET
(In reply to Morgan Leijström from comment #22)
> ...  Xfce 4.16
> ...  I will later see if that works better :)
Nope, still lots of black and white bands, flickering and such for 5-10 seconds logging into xfce on Live xfce 32 bit on my Thinkpad T43. 


(In reply to Bit Twister from comment #25)
> I assume you know to at least rm -r ~/.config/xfce4/* per the instructions
> when installing/running a new release of xfce.

What instructions for this do users see?

Should it be added in https://wiki.mageia.org/en/Mageia_8_Release_Notes ?

(Apparently for this issue it seen not relevant as problem exist in fresh live too, but anyway)
Comment 27 Bit Twister 2021-01-08 13:42:44 CET
(In reply to Morgan Leijström from comment #26)
> (In reply to Morgan Leijström from comment #22)
> > ...  Xfce 4.16
> > ...  I will later see if that works better :)
> Nope, still lots of black and white bands, flickering and such for 5-10
> seconds logging into xfce on Live xfce 32 bit on my Thinkpad T43. 
 
Ok, then guessing it is a xorg/lightdm handshaking over what to use for a
video mode.

> (In reply to Bit Twister from comment #25)
> > I assume you know to at least rm -r ~/.config/xfce4/* per the instructions
> > when installing/running a new release of xfce.
> 
> What instructions for this do users see?

Something to effect to remove ~/.config/xfce4 and ~/.config/thundar
I have seen the message on new xfce release during updates.

> Should it be added in https://wiki.mageia.org/en/Mageia_8_Release_Notes ?

I have not figured out if this kind of thing goes into Release or Errata.
Will only affect users doing a clean install with a previous version
setup in separate /home partition.

Users doing a mga7 to 8 upgrade should the message.

> (Apparently for this issue it seen not relevant as problem exist in fresh
> live too, but anyway)
Comment 28 Guillaume Royer 2021-01-10 13:46:04 CET
Hi, I have installed MGA8 Beta 2 and I have same problem too.
At first connection,my screen blink and is zebra.

It's seem that same problem here.
My computer has Optimus technology and I have tested some things like:

- Install Bumblebee with driver 390 -> no effect
- Deactivate graphic card with command (https://doc.fedora-fr.org/wiki/Prime#Probl.C3.A8mes_connus) -> no effect

Do I try another DM?

CC: (none) => guillaume.royer

Comment 29 Morgan Leijström 2021-01-21 00:47:05 CET
On same machine, Thinkpad T400 the second internal round of 8RC Live xfce have no problem at all, but after Live install of that system to another (faster) USB stick, it flickers with wide zebra bands a couple seconds at login.

Some timing issue i presume.

Keywords: 8beta2 => 8rc1

Comment 30 Morgan Leijström 2021-01-21 09:38:42 CET
I believe this zebra banding is different from the bug exemplified by the attachement https://bugs.mageia.org/attachment.cgi?id=10922 - at least it looks very different.

But maybe related. Anyhow...

I now see an interesting thing: a second after login a wide band 1/3 screen height and as normal here full screen width flickered a couple times, it was full black but *also including the login dialogue* i just filled in.  Like it was switching in parts of an old bitmap screen buffer.
Comment 31 Nicolas Lécureuil 2021-01-22 00:05:15 CET
this is valid onlly with LightDM or other DM too ?

CC: (none) => mageia

Comment 32 Martin Whitaker 2021-01-22 22:18:20 CET
The special effects vary from machine to machine. I have one where the display flashes, another where it shows old video memory contents (often a dislocated version of a previous desktop).

It's hard to pin down because it seems to randomly vary in duration from almost no time at all to several seconds. But I believe I have now confirmed it happens with LightDM, LXDM, SDDM, and XDM.
Comment 33 Morgan Leijström 2021-01-23 17:36:23 CET
Now on my Thinkpad T43 i had horizontal bands of fine bitmap art in RGB black white pixel dots repeating about 1cm interval vertically, looking like some exclusive table cloth, over the whole screen except top and bottom panels.
Comment 34 Lewis Smith 2021-01-25 21:27:19 CET
(In reply to Martin Whitaker from comment #32)
> The special effects vary from machine to machine.
> I believe I have now confirmed
> it happens with LightDM, LXDM, SDDM, and XDM.
I too tried launching Xfce from: GDM, LightDM, LXDM, SDDM, and saw this brief psychedelic fault for each one, different but with the same colour base - a sort of desert brown/yellow.
XDM got the better of me, because it does not offer a desktop choice (or I could not find that), and it chose to start Plasma...

[Aside: curiosity led me to install our relative Rosa, Xfce edition. On first launch, it showed the same effect on a grander scale; but not subsequently].
Comment 35 Morgan Leijström 2021-02-04 15:35:45 CET
Tried yesterday Live Xfce 64 bit RC take 5 on Dell Precision M4400:
First login was not too bad.

Then i let it reboot, and after login i was stupmed to see all apps i had up before rebooting was visible immediately after login, with same content.
Like a perfect hibernation cycle.
Two seconds later they were gone.
So the whole screen initially shown was from the previous session, still held perfectly intact in memory despite reboot.
Comment 36 Guillaume Royer 2021-02-04 21:31:34 CET
On my computer with Optimus technology i have again the problem but, when I use mageia-prime with Nvidia card activated, there is no zebra or blinking.

If I come back in previous configuration with using Intel graphic card and Nvidia graphic card, zebra and blinking are present again.

I think it’s related to the use of graphics cards
Morgan Leijström 2021-02-05 14:31:55 CET

Keywords: (none) => IN_ERRATA8

Comment 37 Lewis Smith 2021-02-06 15:16:11 CET
We are nearing release. I see no choice but to put this in ERRATA. It is aesthetically displeasing; variable in its occurrence, form and duration. But for all that - harmless. And is in M7 if I remember rightly.
Is this résumé correct?

CC: (none) => lewyssmith

Comment 38 Guillaume Royer 2021-02-06 20:26:02 CET
I'm agree with that.
Comment 39 ben mcmonagle 2021-02-06 20:33:58 CET
(In reply to Lewis Smith from comment #37)
> We are nearing release. I see no choice but to put this in ERRATA. It is
> aesthetically displeasing; variable in its occurrence, form and duration.
> But for all that - harmless. And is in M7 if I remember rightly.
> Is this résumé correct?

yes
Comment 40 Lewis Smith 2021-02-07 20:56:44 CET
I see Morgan has set IN_ERRATA8.
On logging in via LightDM to this Cauldron/M8 Xfce desktop - all was smooth!

CC: lewyssmith => (none)

Comment 41 ben mcmonagle 2021-02-21 04:44:47 CET
not sure if this is relevant.

i586 install from CI i586 final.

I removed the panel, as a result of launchGUIs test run, so then had to reinstall the panel:
$ xfce4-panel

upon re-login the the issue has disappeared.

will check on other hardware

Note You need to log in before you can comment on or make changes to this bug.